Loading...
Searching...
No Matches
sdbus::Result< Results > Class Template Reference

`#include <MethodResult.h>`

## Public Member Functions

| Result (MethodCall call)
| Result (const Result &)=delete
Result & | operator= (const Result &)=delete
| Result (Result &&other)=default
Result & | operator= (Result &&other)=default
void | returnResults (const Results &... results) const
void | returnError (const Error &error) const

## Detailed Description

template<typename... Results>
class sdbus::Result< Results >

Represents result of an asynchronous server-side method. An instance is provided to the method and shall be set by the method to either method return value or an error.

The documentation for this class was generated from the following file:

- include/sdbus-c++/MethodResult.h